Subject: Re: [PATCH] pmac: sound support for latest laptops

From: Johannes Berg <[email-masked]>
Date: Mon, 11 Apr 2005 17:07:29 +0200

Hi,

>This patch hacks the current Alsa snd-powermac driver to add support for
>recent machine models with the tas3004 chip, that is basically new
>laptop models. The Mac Mini is _NOT_ yet supported by this patch (soon
>soon ...). The G5s (iMac or Desktop) will need the rewritten sound
>driver on which I'm working on (I _might_ get a hack for analog only on
>some G5s on the current driver, but no promise).
>  
>
That's cool. I do have one slight problem with it though: When I turn 
down the Master mixer and up PCM it sounds badly overmodulated. I can 
keep PCM at about 75% and turn up master, and all is fine. Would it make 
sense to limit the PCM mixer to about 75% of its current limits, or how 
does that actually work in the hardware?

johannes